/**
 * Chroniques de l'Étrange — Système FoundryVTT
 *
 * Chroniques de l'Étrange est un jeu de rôle édité par Antre-Monde Éditions.
 * Ce système FoundryVTT est une implémentation indépendante et n'est pas
 * affilié à Antre-Monde Éditions,
 * mais a été réalisé avec l'autorisation d'Antre-Monde Éditions.
 *
 * @author    LeRatierBretonnien
 * @copyright 2024–2026 LeRatierBretonnien
 * @license   CC BY-NC-SA 4.0 – https://creativecommons.org/licenses/by-nc-sa/4.0/
 */

export default class SupernaturalDataModel extends foundry.abstract.TypeDataModel {
  static defineSchema() {
    const { fields } = foundry.data
    const stringField = (initial = "") => new fields.StringField({ required: true, nullable: false, initial })
    const htmlField = (initial = "") => new fields.HTMLField({ required: true, nullable: false, initial, textSearch: true })

    return {
      reference: stringField(""),
      description: htmlField(""),
      notes: htmlField(""),
      heiType: stringField("yin"),
      heiCost: new fields.NumberField({ required: true, nullable: false, integer: true, min: 0, initial: 0 }),
      trigger: stringField(""),
      effects: htmlField(""),
    }
  }
}
